"""Snelis commandline tool.

Usage:
    snelis create project <name> [options]
    snelis create app <name> [options]

Options:
    -h --help           Show this screen.
    -n, --dry-run       dry run
    -v --verbose        Verbose.
    --version           Show version.

    -f --full                   Fully featured, like admin, puppet, vagrant
    --template=<location>       Use an alternative django template to setup the app or project

Vagrant options
    --vagrant                   Vagrant file creation
    --vagrant-box=<name>        Vagrant box name
    --vagrant-box-url=<url>     Vagrant box url

Puppet options:
    --puppet                    Include Puppet

"""
import sys
from docopt import docopt
from management.utils import load_command, find_commands


def run():
    argv = None
    if len(sys.argv) < 2:
        argv = ['create', 'project', 'henk']

    arg = docopt(__doc__, argv=argv, version='Snelis {0}'.format('0.1.0'))

    if arg['--verbose']:
        print arg

    for command in find_commands():
        if arg[command]:
            load_command('project').handle(**arg)


# If this is being executed directly, execute the runner
if __name__ == '__main__':
    run()